package com.gyee.wisdom.dao.system;

import com.gyee.wisdom.common.data.system.model.User;

import java.util.List;


public interface IUserDao2 {

     List<User> findAll();

     User findByUserName(String userName);

     User findById(String id);

     User save(User t);

     boolean removeById(String id);

     List<User> findByCondition(String userName, String telePhone, String email);

     List<User> getUser(String userName, String telePhone, String email) ;

     void add(User user) ;

     void update(User user) ;

     void updateRoles(String uid, List<String> rids) ;

     User get(String id) ;

     boolean contains(String name) ;

     List<User> list() ;

     boolean hasResourcePermission(String uid,String resourceCode) ;

     void remove(String id) ;

     void switchStatus(String id,boolean disabled);


     User findByPhone(String phone) ;

}
